# AccountQueueData | xrpl
Documentation for xrpl

# Interface AccountQueueData

#### Hierarchy

- AccountQueueData

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:53

#####
Index

### Properties

auth_change_queued?
highest_sequence?
lowest_sequence?
max_spend_drops_total?
transactions?
txn_count

## Properties

### `Optional` auth_change_queued

auth_change_queued?: boolean

Whether a transaction in the queue changes this address's ways of authorizing transactions. If true, this address can queue no further transactions until that transaction has been executed or dropped from the queue.

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:62

### `Optional` highest_sequence

highest_sequence?: number

The highest Sequence Number among transactions queued by this address.

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:66

### `Optional` lowest_sequence

lowest_sequence?: number

The lowest Sequence Number among transactions queued by this address.

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:64

### `Optional` max_spend_drops_total

max_spend_drops_total?: string

Integer amount of drops of XRP that could be debited from this address if every transaction in the queue consumes the maximum amount of XRP possible.

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:71

### `Optional` transactions

transactions?: AccountQueueTransaction []

Information about each queued transaction from this address.

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:73

### txn_count

txn_count: number

Number of queued transactions from this address.

- Defined in packages/xrpl/src/models/methods/accountInfo.ts:55

Generated using TypeDoc